emailproxy(1)

NAME

emailproxy - transparently add OAuth 2.0 support to email client applications

SYNOPSIS

emailproxy [ --no-gui ] [ --external-auth ] [ --local-server-auth ] [ --config-file config_file ] [ --cache-store cache_store ] [ --log-file log_file ] [ --debug ] [ --version ] [ -h ]

DESCRIPION

emailproxy is an Email OAuth 2.0 Proxy: it transparently adds OAuth 2.0 support to IMAP/POP/SMTP client applications, scripts or any other email use-cases that don't support this authentication method.

COMMAND-LINE OPTIONS

  appearance

--no-gui
    start the proxy without a menu bar icon (note: account authorisation requests will fail unless a pre-authorised --config-file is used, or you use --external-auth or --local-server-auth and monitor log/terminal output)

  authentication methods

--external-auth
    handle authorisation externally: rather than intercepting redirect_uri, the proxy will wait for you to paste the result into either its popup window (GUI mode) or the terminal (no-GUI mode; requires prompt_toolkit)

--local-server-auth
    handle authorisation by printing request URLs to the log and starting a local web server on demand to receive responses

  server, account and runtime configuration

--config-file config_file
    the full path to the proxy's configuration file (optional; default: emailproxy.config in the same directory as the proxy script)

--cache-store cache_store
    the full path to a local file to use for credential caching (optional; default: save to --config-file); alternatively, an external store such as a secrets manager can be used - see readme for instructions and requirements

  logging, debugging and help

--log-file log_file
    the full path to a file where log output should be sent (optional; default log behaviour varies by platform - see readme for details)

--debug
    enable debug mode, sending all client<->proxy<->server communication to the proxy's log

--version
    show the proxy's version string and exit

-h, --help
    show this help message and exit

FILES

emailproxy.config

SEE ALSO

Full readme and guide: https://github.com/simonrob/email-oauth2-proxy. On Debian systems, the python3-email-oauth2-proxy package installs its documentation in /usr/share/doc/python3-email-oauth2-proxy/ .

AUTHOR

Simon Robinson https://simon.robinson.ac